summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2013-01-14 21:19:39 +0000
committerMike Frysinger <vapier@gentoo.org>2013-01-14 21:19:39 +0000
commit0f318b5e6ce06c4943b952e8250efc598655348c (patch)
tree9aec2ca52cbcf4a3c7ac53e9c024cc1606578212 /eclass/linux-info.eclass
parentFix trailing whitespace in ebuild (diff)
downloadgentoo-2-0f318b5e6ce06c4943b952e8250efc598655348c.tar.gz
gentoo-2-0f318b5e6ce06c4943b952e8250efc598655348c.tar.bz2
gentoo-2-0f318b5e6ce06c4943b952e8250efc598655348c.zip
fix up style -- no tabs after `local`
Diffstat (limited to 'eclass/linux-info.eclass')
-rw-r--r--eclass/linux-info.eclass27
1 files changed, 11 insertions, 16 deletions
diff --git a/eclass/linux-info.eclass b/eclass/linux-info.eclass
index 26ea376cbab7..d657b5b237dd 100644
--- a/eclass/linux-info.eclass
+++ b/eclass/linux-info.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/linux-info.eclass,v 1.93 2012/10/22 19:00:52 mpagano Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/linux-info.eclass,v 1.94 2013/01/14 21:19:39 vapier Exp $
# @ECLASS: linux-info.eclass
# @MAINTAINER:
@@ -167,7 +167,7 @@ qeerror() { qout eerror "${@}" ; }
# done by including the configfile, and printing the variable with Make.
# It WILL break if your makefile has missing dependencies!
getfilevar() {
-local ERROR basefname basedname myARCH="${ARCH}"
+ local ERROR basefname basedname myARCH="${ARCH}"
ERROR=0
[ -z "${1}" ] && ERROR=1
@@ -198,7 +198,7 @@ local ERROR basefname basedname myARCH="${ARCH}"
# This is done with sed matching an expression only. If the variable is defined,
# you will run into problems. See getfilevar for those cases.
getfilevar_noexec() {
- local ERROR basefname basedname mycat myARCH="${ARCH}"
+ local ERROR basefname basedname mycat myARCH="${ARCH}"
ERROR=0
mycat='cat'
@@ -291,8 +291,7 @@ require_configured_kernel() {
# MUST call linux_config_exists first.
linux_chkconfig_present() {
linux_config_qa_check linux_chkconfig_present
- local RESULT
- local config
+ local RESULT config
config="${KV_OUT_DIR}/.config"
[ ! -f "${config}" ] && config="/proc/config.gz"
RESULT="$(getfilevar_noexec CONFIG_${1} "${config}")"
@@ -308,8 +307,7 @@ linux_chkconfig_present() {
# MUST call linux_config_exists first.
linux_chkconfig_module() {
linux_config_qa_check linux_chkconfig_module
- local RESULT
- local config
+ local RESULT config
config="${KV_OUT_DIR}/.config"
[ ! -f "${config}" ] && config="/proc/config.gz"
RESULT="$(getfilevar_noexec CONFIG_${1} "${config}")"
@@ -325,8 +323,7 @@ linux_chkconfig_module() {
# MUST call linux_config_exists first.
linux_chkconfig_builtin() {
linux_config_qa_check linux_chkconfig_builtin
- local RESULT
- local config
+ localRESULT config
config="${KV_OUT_DIR}/.config"
[ ! -f "${config}" ] && config="/proc/config.gz"
RESULT="$(getfilevar_noexec CONFIG_${1} "${config}")"
@@ -655,8 +652,7 @@ check_modules_supported() {
require_configured_kernel
get_version
- if ! linux_chkconfig_builtin "MODULES"
- then
+ if ! linux_chkconfig_builtin "MODULES"; then
eerror "These sources do not support loading external modules."
eerror "to be able to use this module please enable \"Loadable modules support\""
eerror "in your kernel, recompile and then try merging this module again."
@@ -669,20 +665,19 @@ check_modules_supported() {
# It checks the kernel config options specified by CONFIG_CHECK. It dies only when a required config option (i.e.
# the prefix ~ is not used) doesn't satisfy the directive.
check_extra_config() {
- local config negate die error reworkmodulenames
- local soft_errors_count=0 hard_errors_count=0 config_required=0
+ local config negate die error reworkmodulenames
+ local soft_errors_count=0 hard_errors_count=0 config_required=0
# store the value of the QA check, because otherwise we won't catch usages
# after if check_extra_config is called AND other direct calls are done
# later.
- local old_LINUX_CONFIG_EXISTS_DONE="${_LINUX_CONFIG_EXISTS_DONE}"
+ local old_LINUX_CONFIG_EXISTS_DONE="${_LINUX_CONFIG_EXISTS_DONE}"
# if we haven't determined the version yet, we need to
linux-info_get_any_version
# Determine if we really need a .config. The only time when we don't need
# one is when all of the CONFIG_CHECK options are prefixed with "~".
- for config in ${CONFIG_CHECK}
- do
+ for config in ${CONFIG_CHECK}; do
if [[ "${config:0:1}" != "~" ]]; then
config_required=1
break